org.apache.jmeter.protocol.http.sampler.hc

## Class LazyLayeredConnectionSocketFactory

- java.lang.Object
- - org.apache.jmeter.protocol.http.sampler.hc.LazyLayeredConnectionSocketFactory

All Implemented Interfaces:
  org.apache.http.conn.socket.ConnectionSocketFactory, org.apache.http.conn.socket.LayeredConnectionSocketFactory

    public final class LazyLayeredConnectionSocketFactory
    extends Object
    implements org.apache.http.conn.socket.LayeredConnectionSocketFactory

LazyLayeredConnectionSocketFactory that lazily initializes HTTPS Socket Factory

Since:
  5.0

### Constructor Summary

Constructors
Constructor and Description
`LazyLayeredConnectionSocketFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Socket` `connectSocket(int paramInt, Socket paramSocket, org.apache.http.HttpHost paramHttpHost, InetSocketAddress paramInetSocketAddress1, InetSocketAddress paramInetSocketAddress2, org.apache.http.protocol.HttpContext paramHttpContext)`
`Socket` `createLayeredSocket(Socket paramSocket, String paramString, int paramInt, org.apache.http.protocol.HttpContext paramHttpContext)`
`Socket` `createSocket(org.apache.http.protocol.HttpContext paramHttpContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LazyLayeredConnectionSocketFactory

    public LazyLayeredConnectionSocketFactory()

### Method Detail

#### createSocket

    public Socket createSocket(org.apache.http.protocol.HttpContext paramHttpContext)
                        throws IOException

Specified by:
  `createSocket` in interface `org.apache.http.conn.socket.ConnectionSocketFactory`
Throws:
  `IOException`

#### connectSocket

    public Socket connectSocket(int paramInt,
                                Socket paramSocket,
                                org.apache.http.HttpHost paramHttpHost,
                                InetSocketAddress paramInetSocketAddress1,
                                InetSocketAddress paramInetSocketAddress2,
                                org.apache.http.protocol.HttpContext paramHttpContext)
                         throws IOException

Specified by:
  `connectSocket` in interface `org.apache.http.conn.socket.ConnectionSocketFactory`
Throws:
  `IOException`

#### createLayeredSocket

    public Socket createLayeredSocket(Socket paramSocket,
                                      String paramString,
                                      int paramInt,
                                      org.apache.http.protocol.HttpContext paramHttpContext)
                               throws IOException

Specified by:
  `createLayeredSocket` in interface `org.apache.http.conn.socket.LayeredConnectionSocketFactory`
Throws:
  `IOException`